# All available Hugo versions are listed here: https://gitlab.com/pages/hugo/container_registry
image: registry.gitlab.com/pages/hugo/hugo_extended:0.82.0

variables:
  GIT_SUBMODULE_STRATEGY: recursive
  
before_script:
  - apk add --update --no-cache git go

test:
  script:
  - hugo version
  - hugo
  except:
  - master

pages:
  script:
  - hugo
  artifacts:
    paths:
    - public
  only:
  - master
